Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Enumerations
auth Module Reference

Local and Remote Authentication Management. More...

## Classes
interface | AuthManager
| Authentication manager interface. More...
interface | LdapManager
| LDAP server configuration interface. More...
struct | Policy
| Authentication policy. More...
interface | RadiusManager
| RADIUS server configuration interface. More...
interface | TacPlusManager
| TACACS+ server configuration interface. More...

## Enumerations
enum | Type { LOCAL , RADIUS , KERBEROS , TACACS_PLUS , LDAP }
| Authentication type. More...

## Detailed Description

Local and Remote Authentication Management.

## Enumeration Type Documentation

## ◆ Type

enum auth::Type

Authentication type.

Enumerator
LOCAL | local authentication
RADIUS | authentication via radius server
KERBEROS | authentication with kerberos tickets (not implemented)
TACACS_PLUS | authentication via TACACS+
LDAP | authentication via LDAP server